View Issue Details

IDProjectCategoryView StatusLast Update
0003678OpenFOAMFeaturepublic2021-05-21 05:42
ReporterkothekarswarajAssigned To 
PrioritylowSeverityminorReproducibilityhave not tried
Status newResolutionopen 
PlatformGNU/LinuxOSUbuntuOS Version21.04
Product Version8 
Fixed in Version 
Summary0003678: no release file for ubuntu 21.04
Descriptionduring installation, it says ubuntu 21.04 hirsute doesn't have a release file
Additional InformationI was using the official repositories of OpenFOAM-8 at openfoam.org
TagsNo tags attached.

Activities

henry

2021-05-19 17:58

manager   ~0012037

Would you like to contribute to OpenFOAM maintenance to cover the cost of creating packs for new releases of Ubuntu as soon as they are released?

https://openfoam.org/news/funding-2021/

kothekarswaraj

2021-05-20 11:14

reporter   ~0012038

Don't get me wrong. I didn't know about that release thing. but at least when can I expect a release for it

henry

2021-05-20 11:33

manager   ~0012039

Can you provide funding to support OpenFOAM releases for Ubuntu?

kothekarswaraj

2021-05-20 14:49

reporter   ~0012040

I am 18 yrs old college student & that is not possible for me. but previous versions of ubuntu have release files. I want to use it for my college project, please can u do something

Tiberias_

2021-05-20 22:33

reporter   ~0012041

@kothekarswaraj
You can see the supported releases of Ubuntu here:
https://openfoam.org/download/8-ubuntu/
As you may notice, OpenFOAM is mainly provided for LTS-Versions of Ubuntu (don't pay attention to 19.10. release).
Always provide new packages for OpenFOAM for every new non-LTS release is in fact not worthwhile because the time of support for such releases is something about nine month. Also there is always a new release every six month of Ubuntu.
So you see, it's much more affordable to develop and provide packages for OpenFOAM only for LTS-releases which are supported for five years (up to nine years).

I suggest you to make your calculations on an LTS-Release of Ubuntu, e.g. 20.04.

@henry
correct me please if I told something wrong here, just wanted to help out a bit.

kothekarswaraj

2021-05-21 05:42

reporter   ~0012042

is there any way of using 20.04 OpenFOAM pkg in 21.04?
also, I downloaded OpenFOAM binaries from ubuntu official repositories but error occurs
******@*******:~$ simpleFoam -help
--> FOAM FATAL ERROR :
    Could not find mandatory etc entry (mode=ugo)
    'controlDict'

Issue History

Date Modified Username Field Change
2021-05-19 10:30 kothekarswaraj New Issue
2021-05-19 17:57 henry Priority urgent => low
2021-05-19 17:57 henry Category Patch => Feature
2021-05-19 17:58 henry Note Added: 0012037
2021-05-20 11:14 kothekarswaraj Note Added: 0012038
2021-05-20 11:33 henry Note Added: 0012039
2021-05-20 14:49 kothekarswaraj Note Added: 0012040
2021-05-20 22:33 Tiberias_ Note Added: 0012041
2021-05-21 05:42 kothekarswaraj Note Added: 0012042